#include <stdio.h>
#include "global.h"
#include "tii.h"

IMList *input_methods[] = {
	&im_hangul,
	&im_canna,
	&im_indicle,
	&im_newpy,
	&im_unitle,
	NULL
};

IMList *
tii_get_im(void)
{
	char * im_name = tii_global_use_im((char *)NULL);
	int i;

	for(i = 0; input_methods[i] != NULL; i++) {
		if(!strcmp(input_methods[i]->im_name, im_name))
			break;
	}

	return input_methods[i];
}
